Package net.paulhertz.pixelaudio.example

# Enum Class DeadBodyWorkFlow.DrawingMode

java.lang.Object
java.lang.Enum<DeadBodyWorkFlow.DrawingMode>
net.paulhertz.pixelaudio.example.DeadBodyWorkFlow.DrawingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DeadBodyWorkFlow.DrawingMode>`, `Constable`

Enclosing class:
  DeadBodyWorkFlow

static enum DeadBodyWorkFlow.DrawingMode extends Enum<DeadBodyWorkFlow.DrawingMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DRAW_EDIT_GRANULAR`
  `DRAW_EDIT_SAMPLER`
  `PLAY_ONLY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `DrawingMode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeadBodyWorkFlow.DrawingMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeadBodyWorkFlow.DrawingMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DRAW_EDIT_SAMPLER

    public static final DeadBodyWorkFlow.DrawingMode DRAW_EDIT_SAMPLER

  - ### DRAW_EDIT_GRANULAR

    public static final DeadBodyWorkFlow.DrawingMode DRAW_EDIT_GRANULAR

  - ### PLAY_ONLY

    public static final DeadBodyWorkFlow.DrawingMode PLAY_ONLY

- ## Constructor Details

  - ### DrawingMode

    private DrawingMode()

- ## Method Details

  - ### values

    public static DeadBodyWorkFlow.DrawingMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeadBodyWorkFlow.DrawingMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null